## ros-melodic-face-detector 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(face_detector)

find_package(catkin REQUIRED COMPONENTS
        actionlib
        actionlib_msgs
        cv_bridge
        geometry_msgs
        image_geometry
        image_transport
        message_filters
        message_generation
        people_msgs
        rosbag
        roscpp
        roslib
        rospy
        sensor_msgs
        std_msgs
        std_srvs
        stereo_msgs
        tf
)

find_package(Boost REQUIRED COMPONENTS signals system thread)
find_package(OpenCV)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_action_files(
  DIRECTORY action
  FILES FaceDetector.action
)
generate_messages(DEPENDENCIES actionlib_msgs people_msgs)

catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS
        actionlib
        actionlib_msgs
        cv_bridge
        geometry_msgs
        image_geometry
        image_transport
        message_filters
        message_runtime
        people_msgs
        roscpp
        roslib
        rospy
        sensor_msgs
        std_msgs
        stereo_msgs
        tf
)

add_executable(face_detector
                       src/face_detection.cpp
                       src/faces.cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${OpenCV_LIBRARIES})

add_dependencies(face_detector ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})

install(TARGETS
  face_detector
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/face_detector/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  catkin_download_test_data(${PROJECT_NAME}_noface_test_diamondback.bag
    http://download.ros.org/data/face_detector/face_detector_noface_test_diamondback.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 37f043be780a4511c853379defdd9855)
  catkin_download_test_data(${PROJECT_NAME}_withface_test_diamondback.bag
    http://download.ros.org/data/face_detector/face_detector_withface_test_diamondback.bag
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
    MD5 59126117e049e69d577b7ee27251a6f8)

#  add_rostest(test/wide-stereo_true_rtest.xml)
#  add_rostest(test/wide-stereo_false_rtest.xml)
  add_rostest(test/rgbd_true_rtest.xml)
  add_rostest(test/rgbd_false_rtest.xml)
#  add_rostest(test/narrow-stereo_true_rtest.xml)
#  add_rostest(test/narrow-stereo_false_rtest.xml)
#  add_rostest(test/action-wide_true_rtest.xml)
#  add_rostest(test/action-wide_false_rtest.xml)
#  add_rostest(test/action-rgbd_true_rtest.xml)
#  add_rostest(test/action-rgbd_false_rtest.xml)

endif()

=== debian/changelog ===
ros-melodic-face-detector (1.2.0-1stretch) stretch; urgency=high

  * Whitespace cleanu (#73 <https://github.com/wg-perception/people/issues/73>)
  * Remove and move unused includes (#70 <https://github.com/wg-perception/people/issues/70>)
  * Contributors: David V. Lu!!, Shane Loretz

 -- Dan Lazewatsky <dan@lazewatsky.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-melodic-face-detector (1.0.9-1stretch) stretch; urgency=high

  * Install missing param directory: face_detector.rgbd.launch fails due to the param folder.
  * Contributors: Isaac I.Y. Saito

 -- Dan Lazewatsky <dan@lazewatsky.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-melodic-face-detector (1.0.8-1stretch) stretch; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * centrally reference cascade from standalone opencv (addresses #15 <https://github.com/wg-perception/people/issues/15>)
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-melodic-face-detector (1.0.3-1stretch) stretch; urgency=high

  * fix message generation
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-melodic-face-detector (1.0.2-1stretch) stretch; urgency=high

  * update to properly generate messages
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-melodic-face-detector (1.0.1-1stretch) stretch; urgency=high

  * update some remappings to deal with the changed openni message api
  * convert 16FC1 depth images to 32FC1 and scale to get meters
  * switch constants to defines to get rid of linker issues for catkin switch
  * catkinizing
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 27 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-face-detector
Section: misc
Priority: extra
Maintainer: Dan Lazewatsky <dan@lazewatsky.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-people-msgs, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-image-proc, ros-melodic-stereo-msgs, ros-melodic-tf
Homepage: http://ros.org/wiki/face_detector
Standards-Version: 3.9.2

Package: ros-melodic-face-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-runtime, ros-melodic-people-msgs, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-image-proc, ros-melodic-stereo-msgs, ros-melodic-tf
Description: Face detection in images.

## ros-melodic-face-detector 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,13 +24,6 @@
 
 find_package(Boost REQUIRED COMPONENTS signals system thread)
 find_package(OpenCV)
-
-include_directories(
-  include
-  ${Boost_INCLUDE_DIRS}
-  ${OpenCV_INCLUDE_DIRS}
-  ${catkin_INCLUDE_DIRS}
-)
 
 add_action_files(
   DIRECTORY action
@@ -59,33 +52,44 @@
         tf
 )
 
+include_directories(
+  include
+  ${Boost_INCLUDE_DIRS}
+  ${OpenCV_INCLUDE_DIRS}
+  ${catkin_INCLUDE_DIRS}
+)
+
 add_executable(face_detector
                        src/face_detection.cpp
                        src/faces.cpp)
-target_link_libraries(${PROJECT_NAME}
+add_dependencies(face_detector ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
+target_link_libraries(face_detector
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES}
   ${OpenCV_LIBRARIES})
 
-add_dependencies(face_detector ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
-
-install(TARGETS
-  face_detector
-        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
-        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+install(TARGETS face_detector
         RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )
-
-install(DIRECTORY include/face_detector/
+install(DIRECTORY include/${PROJECT_NAME}/
         DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
 )
 
-install(DIRECTORY launch param
+install(DIRECTORY param
         DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
+)
+install(DIRECTORY launch
+        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
+)
+
+catkin_install_python(PROGRAMS scripts/face_detector_action_client.py
+                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )
 
 if(CATKIN_ENABLE_TESTING)
   find_package(rostest REQUIRED)
+  find_package(roslint REQUIRED)
+  find_package(roslaunch REQUIRED)
 
   catkin_download_test_data(${PROJECT_NAME}_noface_test_diamondback.bag
     http://download.ros.org/data/face_detector/face_detector_noface_test_diamondback.bag
@@ -98,8 +102,8 @@
 
 #  add_rostest(test/wide-stereo_true_rtest.xml)
 #  add_rostest(test/wide-stereo_false_rtest.xml)
-  add_rostest(test/rgbd_true_rtest.xml)
-  add_rostest(test/rgbd_false_rtest.xml)
+#  add_rostest(test/rgbd_true_rtest.xml)
+#  add_rostest(test/rgbd_false_rtest.xml)
 #  add_rostest(test/narrow-stereo_true_rtest.xml)
 #  add_rostest(test/narrow-stereo_false_rtest.xml)
 #  add_rostest(test/action-wide_true_rtest.xml)
@@ -107,4 +111,8 @@
 #  add_rostest(test/action-rgbd_true_rtest.xml)
 #  add_rostest(test/action-rgbd_false_rtest.xml)
 
+  roslint_cpp()
+  roslaunch_add_file_check(launch)
+  roslint_python()
+  roslint_add_test()
 endif()

=== debian/changelog ===
ros-melodic-face-detector (1.4.0-4bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 20 Feb 2021 04:16:48 -0000

ros-melodic-face-detector (1.2.0-4bionic) bionic; urgency=high

  * Whitespace cleanu (#73 <https://github.com/wg-perception/people/issues/73>)
  * Remove and move unused includes (#70 <https://github.com/wg-perception/people/issues/70>)
  * Contributors: David V. Lu!!, Shane Loretz

 -- Dan Lazewatsky <dan@lazewatsky.com>  Mon, 19 Aug 2019 04:00:00 -0000

ros-melodic-face-detector (1.0.9-4bionic) bionic; urgency=high

  * Install missing param directory: face_detector.rgbd.launch fails due to the param folder.
  * Contributors: Isaac I.Y. Saito

 -- Dan Lazewatsky <dan@lazewatsky.com>  Tue, 01 Sep 2015 04:00:00 -0000

ros-melodic-face-detector (1.0.8-4bionic) bionic; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * centrally reference cascade from standalone opencv (addresses #15 <https://github.com/wg-perception/people/issues/15>)
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Wed, 10 Dec 2014 05:00:00 -0000

ros-melodic-face-detector (1.0.3-4bionic) bionic; urgency=high

  * fix message generation
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 01 Mar 2014 05:00:00 -0000

ros-melodic-face-detector (1.0.2-4bionic) bionic; urgency=high

  * update to properly generate messages
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-melodic-face-detector (1.0.1-4bionic) bionic; urgency=high

  * update some remappings to deal with the changed openni message api
  * convert 16FC1 depth images to 32FC1 and scale to get meters
  * switch constants to defines to get rid of linker issues for catkin switch
  * catkinizing
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 27 Feb 2014 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-face-detector
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Dan Lazewatsky <dan@lazewatsky.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-people-msgs, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-image-proc, ros-melodic-stereo-msgs, ros-melodic-tf
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-people-msgs, ros-melodic-rosbag, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-roslint, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-stereo-image-proc, ros-melodic-stereo-msgs, ros-melodic-tf
 Homepage: http://ros.org/wiki/face_detector
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-face-detector//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
